# Class CIM_CalculationBasedOnQueue
extends CIM_ServiceServiceDependency

This association establishes a dependency relationship between a QueuingService and an instance of the DropThresholdCalculationService class. The queue's current depth is used by the CalculationService in calculating an average/smoothed queue depth.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_ServiceServiceDependency
|
+--CIM_CalculationBasedOnQueue

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association establishes a dependency relationship between a QueuingService and an instance of the DropThresholdCalculationService class. The queue's current depth is used by the CalculationService in calculating an average/smoothed queue depth.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CalculationBasedOnQueue | CIM_QueuingService
Dependent | CIM_CalculationBasedOnQueue | CIM_DropThresholdCalculationService

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RestartService | boolean | CIM_ServiceServiceDependency
TypeOfDependency | uint16 | CIM_ServiceServiceDependency

## Class Methods